Skip to content
POST
/user/generate-download-url
curl --request POST \
--url https://example.com/user/generate-download-url \
--header 'Content-Type: application/json' \
--header 'X-Tenzir-UserKey: <X-Tenzir-UserKey>' \
--data '{ "tenant_id": "example", "expiration": 3600, "filename": "example", "usage": "nodes_upload_nodes_download" }'
Media type application/json
GenerateDownloadUrlRequest
object
tenant_id
required
Tenant Id
string
expiration
Expiration
number
default: 3600
filename
Any of:
string
usage
UrlpairUsageIntention
string
default: frontend_upload_frontend_download
Allowed values: nodes_upload_nodes_download nodes_upload_frontend_download nodes_download_frontend_upload frontend_upload_frontend_download

Successful Response

Media type application/json
GenerateDownloadUrlResponse
object
upload_url
required
Upload Url
string
download_url
required
Download Url
string
Example generated
{
"upload_url": "example",
"download_url": "example"
}

{"detail": "Invalid API Key"} {"detail": "Not permitted to access this tenant"}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}